Subject: bash: tab completion failure from (but not at) /
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 11 May 2004 07:25:16 +0100

Just lately (all recent snapshots including 20040510) I'm noticing a failure
with tab completion for pathnames beginning /. Thus, I would expect, and in
the past have achieved

	ls /ho<TAB> 
	ls /home/
or
	md5sum /us<TAB>loc<TAB>
	md5sum /usr/local/

and so on.

Now, all I am getting from ls /ho<TAB> or md5sum /us<TAB> is a system beep
(i.e. "error!" or some kind of uncertainty or ambiguity affecting bash's
interpretation).

For pathnames starting elsewhere, there's not a problem. E.g. from HOME I
can press

	cd st<TAB>
	cd stash

or (cf. problem described above) if I actually *move* to / I can press

	ls ho<TAB>
	ls home/
or
	md5sum us<TAB>loc<TAB>
	md5sum usr/local/

I attach the output from cygcheck -srv. My ~/.inputrc has not altered for
many months and includes the two lines

	set completion-ignore-case On
	set show-all-if-ambiguous  On

Thanks.

Fergus
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/